package org.seasar.jsf.runtime;

import org.seasar.framework.util.StringUtil;
import org.seasar.framework.xml.TagHandler;
import org.seasar.framework.xml.TagHandlerContext;
import org.seasar.jsf.TaglibConfig;

/**
 * @author higa
 *
 */
public class TaglibUriTagHandler extends TagHandler {

	public void end(TagHandlerContext context, String body) {
		if (body != null) {
			body = body.trim();
		}
		if (!StringUtil.isEmpty(body)) {
			TaglibConfig taglibConfig = (TaglibConfig) context.peek();
			taglibConfig.setUri(body);
		}
	}
}
